For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GET Get All Inventory Levels
      • GET Get Inventory Levels
      • GET Get Inventory
      • GET Get All Inventories
    • OpenAPI spec
LogoLogo
API ReferenceInventory

Get Inventory Levels

||View as Markdown|
GET
/2025-07/inventory-level/:inventoryId
GET
/2025-07/inventory-level/:inventoryId
$curl https://api.shipbob.com/2025-07/inventory-level/inventoryId \
> -H "Authorization: Bearer <token>"
1{
2 "inventory_id": 0,
3 "name": "string",
4 "sku": "string",
5 "total_awaiting_quantity": 0,
6 "total_backordered_quantity": 0,
7 "total_committed_quantity": 0,
8 "total_exception_quantity": 0,
9 "total_fulfillable_quantity": 0,
10 "total_internal_transfer_quantity": 0,
11 "total_on_hand_quantity": 0,
12 "total_sellable_quantity": 0
13}
Was this page helpful?
Previous

Get All Inventory Levels

Next

Get Inventory

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

inventoryIdstringRequiredformat: "int32"

Response

OK
inventory_idinteger
namestring or null
skustring or null
total_awaiting_quantityinteger
total_backordered_quantityinteger
total_committed_quantityinteger
total_exception_quantityinteger
total_fulfillable_quantityinteger
total_internal_transfer_quantityinteger
total_on_hand_quantityinteger
total_sellable_quantityinteger

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error